Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryparser.surround.query
Class FieldsQuery

    java.lang.Object
      org.apache.lucene.queryparser.surround.query.SrndQuery
          org.apache.lucene.queryparser.surround.query.FieldsQuery

All Implemented Interfaces:
  Cloneable

    public class FieldsQuery

extends SrndQuery

Forms an OR query of the provided query across multiple fields.

Field Summary

Fields inherited from class org.apache.lucene.queryparser.surround.query.SrndQuery
`theEmptyLcnQuery`

Constructor Summary
`FieldsQuery(SrndQuery q, List<String> fieldNames, char fieldOp)`
`FieldsQuery(SrndQuery q, String fieldName, char fieldOp)`

Method Summary
`protected void` | `fieldNamesToString(StringBuilder r)`
`List<String>` | `getFieldNames()`
`char` | `getFieldOperator()`
`boolean` | `isFieldsSubQueryAcceptable()`
`Query` | `makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`
`Query` | `makeLuceneQueryNoBoost(BasicQueryFactory qf)`
`String` | `toString()` This method is used by `SrndQuery.hashCode()` and `SrndQuery.equals(Object)`, see LUCENE-2945.

Methods inherited from class org.apache.lucene.queryparser.surround.query.SrndQuery
`clone, equals, getWeight, getWeightOperator, getWeightString, hashCode, isWeighted, makeLuceneQueryField, setWeight, weightToString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldsQuery

    public FieldsQuery(SrndQuery q,
                       List<String> fieldNames,
                       char fieldOp)

### FieldsQuery

    public FieldsQuery(SrndQuery q,
                       String fieldName,
                       char fieldOp)

Method Detail

### isFieldsSubQueryAcceptable

    public boolean isFieldsSubQueryAcceptable()

  Overrides:
    `isFieldsSubQueryAcceptable` in class `SrndQuery`

### makeLuceneQueryNoBoost

    public Query makeLuceneQueryNoBoost(BasicQueryFactory qf)

### makeLuceneQueryFieldNoBoost

    public Query makeLuceneQueryFieldNoBoost(String fieldName,
                                             BasicQueryFactory qf)

  Specified by:
    `makeLuceneQueryFieldNoBoost` in class `SrndQuery`

### getFieldNames

    public List<String> getFieldNames()

### getFieldOperator

    public char getFieldOperator()

### toString

    public String toString()

  Description copied from class: `SrndQuery`
  This method is used by `SrndQuery.hashCode()` and `SrndQuery.equals(Object)`, see LUCENE-2945.

  Specified by:
    `toString` in class `SrndQuery`

### fieldNamesToString

    protected void fieldNamesToString(StringBuilder r)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.